Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055589 - Installing duplicity breaks gnome-keyring PGP integration due to dependency on old gnupg
Summary: Installing duplicity breaks gnome-keyring PGP integration due to dependency o...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: duplicity
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 15:11 UTC by Michael Catanzaro
Modified: 2015-06-29 14:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 799146
Environment:
Last Closed: 2015-06-29 14:36:23 UTC


Attachments (Terms of Use)

Description Michael Catanzaro 2014-01-20 15:11:35 UTC
Installing Deja Dup breaks PGP gnome-keyring integration because it pulls in the original gnupg, which seems to be preferred over gnupg2 (at least by Evolution) and doesn't use gpg agents without special modification to gpg.conf.

Cloning this old bug for the standard reason: I don't have permission to reopen.

+++ This bug was initially created as a clone of Bug #799146 +++

Description of problem:

Given that most other things are using GnuPG2 these days, it would be good if duplicity could follow suit. At the moment, both gnupg and gnupg2 are on the live image, and duplicity is the only thing bringing in gnupg.

Version-Release number of selected component (if applicable):

duplicity-0.6.17-2.fc17.x86_64

How reproducible:

100%

--- Additional comment from Michal Ingeli on 2012-08-21 05:37:23 CDT ---

Hi.

It looks like duplicity can (probably) work just OK with gnupg2. duplicity package requires python-GnuPGInterface, which itself is an ancient module. But application doesn't look like it using this requirement anyway. It ships its own, slightly patched version of GnuPGInterface.py (another question is, if we should be using this).
 
With change in duplicity, to instantiate that module with 'gpg2', I was able to backup and restore encrypted backup. It would be great, if someone could test it (and ping maintainer).

http://v3.sk/~xyzz/rpm/duplicity/duplicity.spec
http://v3.sk/~xyzz/rpm/duplicity/duplicity-0.6.19-2.fc17.src.rpm

--- Additional comment from Fedora End Of Life on 2013-07-03 21:53:56 CDT ---

This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

--- Additional comment from Fedora End Of Life on 2013-08-01 04:40:26 CDT ---

Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 1 Rahul Sundaram 2014-01-20 18:29:12 UTC
This doesn't appear to be a packaging problem.  Would you mind filing this upstream and posting a link here so that I can keep track of it?  Thanks!

Comment 2 Michael Catanzaro 2014-01-20 19:56:22 UTC
I found two upstream bugs:

https://bugs.launchpad.net/duplicity/+bug/703345
https://bugs.launchpad.net/duplicity/+bug/710198

openSUSE has been using duplicity with gpg2 without issue (openSUSE symlinks gpg to gpg2) so it should be safe for duplicity to use either one.

Comment 3 Fedora Admin XMLRPC Client 2015-02-26 20:53:36 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora End Of Life 2015-05-29 10:35:31 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 14:36:23 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.